Page MenuHomePhabricator

"more results text=" parameter needed for #cargo_query
Closed, ResolvedPublic

Description

The Cargo extension's #cargo_query parser function currently always displays "More..." (i.e., the MediaWiki message 'moredotdotdot') as the text of the link to further results, if there are results of the query that are not shown. It would be better if this text could be set via a parameter in the #cargo_query function. I would think this parameter should be called "more results text=", and if it was called, whatever value it was set to would take the place of "More...".

Details

Related Gerrit Patches:
mediawiki/extensions/Cargo : masterAdded "more results text" parameter to #cargo_query
mediawiki/extensions/Cargo : masterMore results text parameter added to #cargo_query

Event Timeline

Yaron_Koren raised the priority of this task from to Needs Triage.
Yaron_Koren updated the task description. (Show Details)
Yaron_Koren added a subscriber: Yaron_Koren.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 24 2015, 8:50 PM

Change 193147 had a related patch set uploaded (by Namit):
More results text parameter added to #cargo_query

https://gerrit.wikimedia.org/r/193147

Change 193147 merged by Yaron Koren:
More results text parameter added to #cargo_query

https://gerrit.wikimedia.org/r/193147

Yaron_Koren closed this task as Resolved.Mar 2 2015, 2:19 AM
Yaron_Koren set Security to None.
Yaron_Koren reopened this task as Open.Mar 5 2015, 11:59 AM

Change 194577 had a related patch set uploaded (by Polybuildr):
Added "more results text" parameter to #cargo_query

https://gerrit.wikimedia.org/r/194577

polybuildr added a subscriber: polybuildr.

I've uploaded a patch set that uses the mDisplayParams parameter to change the "more results text" text.

Change 194577 merged by Yaron Koren:
Added "more results text" parameter to #cargo_query

https://gerrit.wikimedia.org/r/194577

Excellent. Resolved, I think for real this time.

Yaron_Koren closed this task as Resolved.Mar 5 2015, 10:03 PM